## pyina 0.3.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pyina
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables
ALLSPHINXOPTS = $(SPHINXOPTS) $(SOURCEDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@echo "Please use \`make html' to generate standalone HTML files"

.PHONY: help clean html Makefile

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)
	-rm -f $(BUILDDIR)/../../scripts/_*py
	-rm -f $(BUILDDIR)/../../scripts/_*pyc
	-rm -rf $(BUILDDIR)/../../scripts/__pycache__

=== docs/source/requirements.txt ===
numpy
pox
dill
pathos

## pyina 0.2.9

=== debian/changelog ===
pyina (0.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Fix upstream monitoring script.
  * debian/control: Add missing Build-Using field for the doc package.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Feb 2024 00:28:49 -0500

pyina (0.2.8-1) unstable; urgency=medium

  * Initial upload (Closes: #1042440)

 -- Julian Gilbey <jdg@debian.org>  Fri, 28 Jul 2023 18:44:36 +0100

=== debian/control ===
Source: pyina
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dill (>= 0.3.8),
               python3-mpi4py,
               python3-numpy,
               python3-pathos (>= 0.3.2),
               python3-pox (>= 0.3.4),
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-notfound-page <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.2
Homepage: https://github.com/uqfoundation/pyina
Vcs-Git: https://salsa.debian.org/python-team/packages/pyina.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyina
Rules-Requires-Root: no
Description: MPI parallel map and cluster scheduling
 The pyina package provides several basic tools to make MPI-based
 parallel computing more accessible to the end user.  The goal of pyina
 is to allow the user to extend their own code to MPI-based parallel
 computing with minimal refactoring.
 .
 pyina provides a highly configurable parallel map interface
 to running MPI jobs, with:
 .
  * a map interface that extends the Python map standard
  * the ability to submit batch jobs to a selection of schedulers
  * the ability to customize node and process launch configurations
  * the ability to launch parallel MPI jobs with standard Python
  * ease in selecting different strategies for processing a work list
 .
 pyina is part of pathos, a Python framework for heterogeneous computing.

Package: python3-pyina
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-pyina-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-pyina
Built-Using: ${sphinxdoc:Built-Using}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the pyina documentation in HTML format.
Build-Profiles: <!nodoc>

## pyina 0.3.0

=== debian/changelog ===
pyina (0.3.0-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090118).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2024 12:15:18 +0000

pyina (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump dependency versions.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 09:45:00 -0500

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.8),
+               python3-dill (>= 0.3.9),
                python3-mpi4py,
                python3-numpy,
-               python3-pathos (>= 0.3.2),
-               python3-pox (>= 0.3.4),
+               python3-pathos (>= 0.3.3),
+               python3-pox (>= 0.3.5),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/uqfoundation/pyina
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyina.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyina

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/uqfoundation/pyina/tags?per_page=100 \
 https://api.github.com/repos/uqfoundation/pyina/tarball/refs/tags/@ANY_VERSION@

## pyina 0.3.1

=== debian/changelog ===
pyina (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Sep 2025 20:22:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.9),
+               python3-dill (>= 0.4.0),
                python3-mpi4py,
                python3-numpy,
-               python3-pathos (>= 0.3.3),
-               python3-pox (>= 0.3.5),
+               python3-pathos (>= 0.3.4),
+               python3-pox (>= 0.3.6),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/uqfoundation/pyina
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyina.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyina

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyina

export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m pyina.tests

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# This package relies on MPI for the tests, so we do not try running them
override_dh_auto_test:

execute_after_dh_installexamples:
	perl -i -pe 's%/usr/bin/env python%/usr/bin/python3%' debian/python3-pyina/usr/share/doc/python3-pyina/examples/*.py

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C docs SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-pyina-doc --doc-main-package=python3-pyina
	dh_installdocs --remaining-packages
	mv debian/python-pyina-doc/usr/share/doc/python3-pyina/build debian/python-pyina-doc/usr/share/doc/python3-pyina/html
endif
